Package org.apache.solr.client.solrj.impl

## Class InputStreamResponseParser

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser
  - - org.apache.solr.client.solrj.impl.InputStreamResponseParser

    public class InputStreamResponseParser
    extends ResponseParser

Simply puts the InputStream into an entry in a NamedList named "stream".

### Constructor Summary

Constructors
`InputStreamResponseParser​(String writerType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getWriterType()`
`NamedList<Object>` `processResponse​(InputStream body, String encoding)`
`NamedList<Object>` `processResponse​(Reader reader)`

### Methods inherited from class org.apache.solr.client.solrj.ResponseParser

`getContentType, getContentTypes, getVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InputStreamResponseParser

    public InputStreamResponseParser​(String writerType)

### Method Detail

#### getWriterType

    public String getWriterType()

Specified by:
  `getWriterType` in class `ResponseParser`

#### processResponse

    public NamedList<Object> processResponse​(Reader reader)

Specified by:
  `processResponse` in class `ResponseParser`

#### processResponse

    public NamedList<Object> processResponse​(InputStream body,
                                             String encoding)

Specified by:
  `processResponse` in class `ResponseParser`